Bug 75798 - System Logs Stops Responding When Preferences Get Hidden
System Logs Stops Responding When Preferences Get Hidden
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-logviewer (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tammy Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 13:57 EDT by Thomas Smith
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 14:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Smith 2002-10-12 13:57:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
System Logs window will not respond to commands when reproducibility steps are
followed. Realize this is fairly normal behaviour in a windowed system and
perhaps not under the control of redhat-logviewer code. However, it could
confuse a user in that the Preferences Window is completely hidden behind the
System Window (and any other windows opened thereafter), which gives the
appearance that System Logs is simply unresponsive.

Discovered this by going to Alerts tab of Preferences, adding a string to flag,
and the clicking back on the System Logs window to see if that had taken with
the intent of going back and adding another flag (sort of using the Preferences
Alert as a realtime editor on the flag display of System Log window). Realize
this may not be the intent, but others may try to do this as well.

Also recommend adding an "Add" button to the Add Alert Word dialog and the
XFree86 Log markers (WW), (EE), (NI), and (??) to the default alert word list.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start log viewer via Start Menu -> System Tools -> System Logs
2.Go to Edit -> Preferences
3.When Preferences window comes up, click on System Logs window visible in the
background
4. Attempt to use System Logs window (e.g. scroll log)
	

Additional info:
Comment 1 Tammy Fox 2002-10-15 14:40:12 EDT
Good point. I can set the transient for the window so it doesn't let you move it
below the main window.
Comment 2 Tammy Fox 2002-10-15 16:54:55 EDT
I have set all modal windows to transient as well. It should show up in
rawhide shortly. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.